Results 1 to 10 of 10

Thread: Spotify

  1. #1

    Default Spotify

    Hey,

    has anybody run Spotify on his/her opensuse tumbleweed instance? I have tried snap, Webbrowser and spotify-installer from PackMan repository. Nothing works on my tumbleweed instance.

    Thanks in advance
    Björn

  2. #2
    Join Date
    Jan 2018
    Location
    Canada
    Posts
    124

    Default Re: Spotify

    I use SpotiWeb

    https://github.com/tomasmcm/SpotiWeb

    Extracted to a Home folder named SpotiWeb and created a desktop link to the SpotiWeb app.

    I tried snap but it appears the tumbleweed snap system is out of date.

  3. #3
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,065

  4. #4

    Default Re: AW: Spotify

    Thanks, works great.

  5. #5
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,065

    Default AW: Spotify

    Thanks to the Developer, not me.

  6. #6
    Join Date
    Dec 2008
    Location
    Norway
    Posts
    550

    Default Re: Spotify

    I was previously running spotify installed via the spotify-installer RPM from packman. I noticed this spotify was an older version.
    Today I tried first with installing snapd and then spotify via snap after starting the snapd deamon.

    It failed to start
    Code:
    djviking@machine:~> snap run spotify        
    Gtk-Message: Failed to load module "canberra-gtk-module"
    libGL error: No matching fbConfigs or visuals found
    libGL error: failed to load driver: swrast
    ATTENTION: default value of option force_s3tc_enable overridden by environment.
    libGL error: No matching fbConfigs or visuals found
    libGL error: failed to load driver: swrast
    Trace/breakpoint trap (core dumped)
    djviking@machine:~> [0124/194822.724973:ERROR:gl_context_glx.cc(186)] Failed to create GL context with glXCreateContextAttribsARB.
    [0124/194822.725004:ERROR:gpu_info_collector.cc(51)] gl::init::CreateGLContext failed
    [0124/194822.725008:ERROR:gpu_info_collector.cc(119)] Could not create context for info collection.
    [0124/194822.725017:ERROR:gpu_init.cc(96)] gpu::CollectGraphicsInfo failed (fatal).
    
    I then decided to try the suggested spotify-easyrpm which after install started spotify without any problems.
    Though this version of spotify has far less output than the previous v0.9, it did have one ERROR:
    Code:
    /usr/share/spotify/spotify: /usr/lib64/libcurl.so.4: no version information available (required by /usr/share/spotify/spotify)
    /proc/self/exe: /usr/lib64/libcurl.so.4: no version information available (required by /proc/self/exe)
    [0124/194023.332344:ERROR:web_plugin_impl.cc(38)] Widevine registration is not supported after context initialization
    

  7. #7
    Join Date
    May 2017
    Location
    Delaware
    Posts
    18

    Default Re: Spotify

    There seems to be an error within the installation files themselves. It is an error that is being felt across multiple systems - Linux and Windows. I'm not sure about Mac. What I'm saying is, this is not isolated to OpenSUSE Tumbleweed.

    I also tried installing on OpenSUSE 42.2 and was met with the same issues.

    My Windows is having problems with installing the latest version as well. The installer just runs, and runs, and runs. On those computers, it's the latest version of 10 home and 10 pro depending on the PC.

    Trust me, the solution has to come from Spotify fixing the packages.

    That being said, you may get lucky and be able to install through WINE, but I doubt it because there's a problem with the spotify.exe package in addition to the .deb file package. Spotify-Installer creates the .rpm from the .deb file.

    Look into WINE. It might help, it might not. WINE allows windows exe files to be installed and run on Linux systems. There is a repo link on the same page where you find packman on the opensuse site.

  8. #8
    Join Date
    Jan 2014
    Location
    Erlangen
    Posts
    1,116

    Default Re: Spotify

    Quote Originally Posted by bjawebos View Post
    Hey,

    has anybody run Spotify on his/her opensuse tumbleweed instance? I have tried snap, Webbrowser and spotify-installer from PackMan repository. Nothing works on my tumbleweed instance.

    Thanks in advance
    Björn
    Yes, I do. Spotify installed in the application launcher and may be in invoked as an other program.

    Code:
    erlangen:~ # zypper if spotify*
    Loading repository data...
    Reading installed packages...
    
    
    Information for package spotify-installer:
    ------------------------------------------
    Repository     : Packman                                       
    Name           : spotify-installer                             
    Version        : 0.9.17.8.gd06432d.31-5.9                      
    Arch           : x86_64                                        
    Vendor         : http://packman.links2linux.de                 
    Installed Size : 20.6 KiB                                      
    Installed      : Yes                                           
    Status         : up-to-date                                    
    Source package : spotify-installer-0.9.17.8.gd06432d.31-5.9.src
    Summary        : Installer for Spotify desktop client          
    Description    :                                               
        This is an automatic installer for the Spotify desktop client for
        Linux, which circumvents the redistribution restrictions on the client
        by:
    
          - downloading the .deb from spotify.com
          - installing required dependencies
          - building an rpm
          - installing the rpm
    
        The process is intended to be as user-friendly as possible.
    
    
    Information for package spotify-client:
    ---------------------------------------
    Repository     : myrepo                                            
    Name           : spotify-client                                    
    Version        : 0.9.17.8.gd06432d.31-1                            
    Arch           : x86_64                                            
    Vendor         :                                                   
    Installed Size : 136.4 MiB                                         
    Installed      : Yes                                               
    Status         : up-to-date                                        
    Source package : spotify-client-0.9.17.8.gd06432d.31-1.nosrc       
    Summary        : Desktop client for Spotify streaming music service
    Description    :                                                   
        Spotify is a "Freemium" proprietary, DRM-restricted digital music
        service that gives you access to millions of songs.
    
        It includes the following features:
    
        - Custom playlists
        - Last.fm integration
        - Customized radio dynamically generated to the user's tastes
        - Social media integration with Facebook and Twitter
        - 3rd-party applications integrated into the client
    
    erlangen:~ #
    AMD Athlon 4850e (2009), openSUSE 13.1, KDE 4, Intel i3-4130 (2014), i7-6700K (2016), i5-8250U (2018), openSUSE Tumbleweed, KDE Plasma 5

  9. #9

    Default Re: Spotify

    I've found the best way to get Spotify running is to just use the flatpak provided on flathub.

    All you need is to run

    Code:
    zypper in flatpak
    then to install Spotify, just navigate to the Download folder and run

    Code:
    flatpak install com.spotify.Client.flatpakref
    And voila - a perfectly running containerised Spotify client.

  10. #10
    Join Date
    Jan 2018
    Location
    Canada
    Posts
    124

    Default Re: Spotify


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •